<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        ユーザーマスタ
    </h1>
</section>

<!-- Main content -->
<section class="content">
    <% if (typeof message !== 'undefined') { %>
    <%- include(`../common/message_${message.type}`, message) %>
    <% } %>
    <div class="row">
        <div class="col-md-12">
            <!-- 外注先情報登録部 -->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <div class="row">
                        <div class="col-md-3">
                            <h3 class="box-title">表示</h3>
                        </div>
                        <div class="col-md-9" style="float:right;">
                            <div class="col-md-12">
                                <a class="btn btn-default pull-right" href="/user/search">
                                    <i class="fa fa-times"></i> 閉じる
                                </a>
                                <a href="/user/<%= account.id %>/edit?returnUrl=user%2F<%= account.id %>">
                                    <button  class="btn btn-primary btn-color-white pull-right m-right-5">
                                        <i class="fa fa-pen"></i> 編集
                                    </button>
                                </a>
                                <form id="formDisable" method="POST" action="/user/<%= account.id %>">
                                    <% if(account.disableFlag == 0) { %>
                                        <input type="text" name="enableDisable" value="1" hidden>
                                        <input type="text" name="disableFlag" value="<%= account.disableFlag %>"
                                            hidden>
                                        <input type="text" name="id" value="<%= account.id %>" hidden>
                                        <input type="text" name="loginId" value="<%= account.loginId %>" hidden>
                                        <input type="text" name="userName" value="<%= account.userName %>" hidden>
                                        <input type="text" name="role" value="<%= account.role %>" hidden>
                                    <a>
                                        <button type="submit" class="btn btn-danger btn-color-white pull-right m-right-5">
                                            <i class="fa fa-trash"></i> 無効にする
                                        </button>
                                    </a>
                                
                                    <% } else if(account.disableFlag == 1){ %>
                                        <input type="text" name="enableDisable" value="0" hidden>
                                        <input type="text" name="disableFlag" value="<%= account.disableFlag %>"
                                            hidden>
                                        <input type="text" name="id" value="<%= account.id %>" hidden>
                                        <input type="text" name="loginId" value="<%= account.loginId %>" hidden>
                                        <input type="text" name="userName" value="<%= account.userName %>" hidden>
                                        <input type="text" name="role" value="<%= account.role %>" hidden>
                                    <a>
                                        <button type="submit" class="btn btn-warning btn-color-white pull-right m-right-5">
                                            <i class="fa fa-undo"></i> 有効にする
                                        </button>
                                    </a>
                                    <% } else { %>
                                    <% } %>
                                </form>
                            </div>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <input type="hidden" class="form-control" value="<%=account.id%>" disabled>
                    <div class="col-md-5 padding-LR0">
                        <div class="form-group">
                            <label class="col-md-4 col-sm-12 col-xs-12 text-right">
                                ログインID
                            </label>
                            <div class="col-md-8 col-sm-12 col-xs-12 ">
                                <input type="text" class="form-control" value="<%=account.loginId%>" disabled>
                            </div>
                        </div>
                    </div>

                    <!-- <div class="col-md-1 padding-LR0">
                                </div> -->

                    <div class="col-md-5 padding-LR0">
                        <div class="form-group">
                            <label class="col-md-4 col-sm-12 col-xs-12 text-right">
                                ユーザー名
                            </label>
                            <div class="col-md-8 col-sm-12 col-xs-12 ">
                                <input type="text" class="form-control" value="<%=account.userName%>" disabled>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-5 padding-LR0">
                        <div class="form-group">
                            <label class="col-md-4 col-sm-12 col-xs-12 text-right">
                                パスワード
                            </label>
                            <div class="col-md-8 col-sm-12 col-xs-12 ">
                                <input type="password" class="form-control" value="●●●●●●●●" disabled>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-5 padding-LR0">
                        <div class="form-group">
                            <label class="col-md-4 col-sm-12 col-xs-12 text-right">
                                権限
                            </label>
                            <div class="col-md-8 col-sm-12 col-xs-12 ">
                                <%if (account.role == "0") {%>
                                    <input type="text" class="form-control" value="一般" disabled>
                                <%} else if (account.role == "1") {%>
                                    <input type="text" class="form-control" value="システム管理者" disabled>
                                <%} else  {%>
                                    <input type="text" class="form-control" disabled>
                                <%}
                                %>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
</section>
<!-- /.content -->

<script src="/build/js/user/view.js"></script>
<%- contentFor('displayId') %>
accountView
<%- contentFor('pageTitle') %>
ユーザーマスタ検索